#pragma once

#include <fcgio.h>

class Stream {
protected:
    Stream(FCGX_Stream* raw);
    Stream(const Stream& other) = delete;
    Stream(Stream&& other) = delete;
    Stream& operator = (const Stream& other) = delete;
    Stream& operator = (Stream&& other) = delete;
    virtual ~Stream();

public:

protected:
    fcgi_streambuf raw;
};
